Fandom

Freeciv

Installation

112pages on
this wiki
Add New Page
Talk0 Share


KravEdit

Kravene til installation af Freeciv og de platforme spillet er indrapporteret som fungerende under. Bemærk at GNU/Linux og Sun Solaris er de primære platforme. Freeciv er ikke blevet officielt testet på andre platforme. Bemærk også at mange distributører af operativ systemer leverer allerede pakkede, klar til brug distributioner af Freeciv, og at andre er tilgængelige i vores hent artikel.

Specifikke oversættelseskrav Platforme som er rapporteret fungerende

All:

  1. ANSI C compiler (gcc 2.95 eller højere)
  2. make

Unixes:

  1. The X Window System
  2. Xaw/Xaw3d og Xpm (3.4k) -or-
    Glib (1.2.6), GTK+ (1.2.6) and Imlib (1.9.7)

Windows:

  1. Et Unix miljø (Cygnus, msys).
  2. MinGW runtime libraries
  3. Windows API libraries
(Alle disse pakker kan findes på mingw eller cygwin)

OS2:

  1. Et Unix miljø (Cygnus).
    Flere fif.

Pakker som tilfredsstiller nogle af disse krav kan findes på ftp.

baseret på X:

  • GNU/Linux (Debian, Gentoo, etc.)
  • Sun Solaris 2.x
  • SunOS 4.x
  • SGI Irix
  • IBM AIX
  • HP/UX
  • Mac OS X (kræver X11 samt DarwinPorts eller Fink)
  • OpenBSD
  • NetBSD
  • FreeBSD
  • BSDI 4
  • QNX
  • IBM OS/2
  • OpenVMS
  • OSF1

uden X:

For mere information omkring installation henvises til INSTALL filen, inkluderet i Freeciv distributionen.

SVN snapshots kan have yderligere krav; du må anvende flag koden ./configure --disable-cvs-deps hvis din make ikke er GNU make, og ./configure --disable-nls hvis du ikke har en fuld gettext installation.



Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.

Also on Fandom

Random Wiki